﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IParameterConfiguration : INamedItem {
    bool Optimize { get; set; }
    IParameter Parameter { get; set; }
    string Category { get; set; }

    IParameter GetParameterWithRandomValue(IRandom random);
  }
}
